<?
require_once('include/global.php');
require_once("include/webhard_lib.php");
require_once("include/bigfile_lib.php");
require_once("include/file.php");
#require_once('./conf.inc.php');


$msg = "미리보기 첨부파일을 다운로드 받을 수 없습니다.\\n\\삭제되었거나 잘못된 주소입니다.";


if (!$_GET['file_name'] && !$_GET['tmp_file'])
	msg('미리보기 첨부파일 다운로드 주소가 잘못 되었습니다.');


// data
	$upload_dir = 'bigfile/'.$G_SYS[MAIL_DOMAIN].'/'.$AUTH['auth_m_mail_file_group'].'/'.$AUTH['auth_m_id'] . '/tmp';
	$tmp_file = basename_fix($_GET['tmp_file']);


// download
		$UPLOAD_ROOT = $UPLOAD_ROOT_NEW;

		$errorMsg = file_down($tmp_file, NULL, $upload_dir, NULL, $_GET['file_name']);
		if ($errorMsg)
		{
			errorlog("미리보기 첨부파일 다운로드가 실패하였습니다.\n=> " . $UPLOAD_ROOT . '/' . $upload_dir . '/' . $tmp_file . $errorMsg, 'FILE');
			msg($msg);
		}		// if()

// 다운로드를 위해 디버깅정보 생략.
//require_once('include/global_end.php');
?>